=== debian/changelog ===
opentelemetry-proto (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Oct 2024 10:31:08 -0400

opentelemetry-proto (1.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1083198)

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 17 Oct 2024 13:41:08 -0300
