=== debian/control ===
Source: opentelemetry-proto
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Santiago Ruano Rincón <santiago@freexian.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libgrpc-dev,
 libprotobuf-c-dev,
 protobuf-compiler,
 protobuf-compiler-grpc,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://opentelemetry.io/docs/specs/otlp/
Vcs-Browser: https://salsa.debian.org/science-team/opentelemetry-proto
Vcs-Git: https://salsa.debian.org/science-team/opentelemetry-proto.git

Package: opentelemetry-proto
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: OpenTelemetry protocol specification and proto files
 OpenTelemetry is an observability framework and toolkit designed to create and
 manage telemetry data such as traces, metrics, and logs. Crucially,
 OpenTelemetry is vendor- and tool-agnostic, meaning that it can be used with a
 broad variety of Observability backends.
 .
 OpenTelemetry is focused on the generation, collection, management, and export
 of telemetry. A major goal of OpenTelemetry is that you can easily instrument
 your applications or systems, no matter their language, infrastructure, or
 runtime environment. The storage and visualization of telemetry is
 intentionally left to other tools.
 .
 This package contains the OpenTelemetry Protocol (OTLP) specification and
 the corresponding language independent interface types (.proto files).

Package: libopentelemetry-proto-dev
Architecture: all
Section: libdevel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: OpenTelemetry protocol specification and proto files
 OpenTelemetry is an observability framework and toolkit designed to create and
 manage telemetry data such as traces, metrics, and logs. Crucially,
 OpenTelemetry is vendor- and tool-agnostic, meaning that it can be used with a
 broad variety of Observability backends.
 .
 OpenTelemetry is focused on the generation, collection, management, and export
 of telemetry. A major goal of OpenTelemetry is that you can easily instrument
 your applications or systems, no matter their language, infrastructure, or
 runtime environment. The storage and visualization of telemetry is
 intentionally left to other tools.
 .
 This package contains the C++ library code.

Package: python3-opentelemetry-proto
Architecture: all
Section: python
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3:any,
 python3-protobuf
Description: OpenTelemetry protocol specification and proto files
 OpenTelemetry is an observability framework and toolkit designed to create and
 manage telemetry data such as traces, metrics, and logs. Crucially,
 OpenTelemetry is vendor- and tool-agnostic, meaning that it can be used with a
 broad variety of Observability backends.
 .
 OpenTelemetry is focused on the generation, collection, management, and export
 of telemetry. A major goal of OpenTelemetry is that you can easily instrument
 your applications or systems, no matter their language, infrastructure, or
 runtime environment. The storage and visualization of telemetry is
 intentionally left to other tools.
 .
 This package contains the Python library.
