=== debian/changelog ===
opentelemetry-proto (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * Wrap and sort -ast
  * Enable wrap-and-sort job in Salsa CI
  * Add d/gbp.conf to reflect default debian and upstream branches

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 07 Mar 2025 09:07:48 -0500

opentelemetry-proto (1.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.5.0
  * Set Freexian Packaging Team as Uploader instead of myself.
  * Reflect pprofextended.proto to profiles.proto changes in d/changelog
  * Add d/tests/autopkgtest-pkg-python.conf and correct the module name

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 02 Jan 2025 15:55:29 -0500
