=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Santiago Ruano Rincón <santiago@freexian.com>
+Uploaders:
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,8 +20,8 @@
 Package: opentelemetry-proto
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: OpenTelemetry protocol specification and proto files
  OpenTelemetry is an observability framework and toolkit designed to create and
  manage telemetry data such as traces, metrics, and logs. Crucially,
@@ -40,8 +41,8 @@
 Architecture: all
 Section: libdevel
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: OpenTelemetry protocol specification and proto files
  OpenTelemetry is an observability framework and toolkit designed to create and
  manage telemetry data such as traces, metrics, and logs. Crucially,
@@ -60,10 +61,10 @@
 Architecture: all
 Section: python
 Depends:
+ python3-protobuf,
+ python3:any,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- python3:any,
- python3-protobuf
 Description: OpenTelemetry protocol specification and proto files
  OpenTelemetry is an observability framework and toolkit designed to create and
  manage telemetry data such as traces, metrics, and logs. Crucially,
