=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PATH := $(CURDIR)/debian/tmp/bin:$(PATH)
export CURDIR

%:
	dh $@

override_dh_auto_build:
	mkdir -p debian/tmp/bin
	ln -s /usr/bin/grpc_cpp_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-cpp
	ln -s /usr/bin/grpc_python_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-python
	# The PHP and ruby code is not built currently
	#ln -s /usr/bin/grpc_php_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-php
	#ln -s /usr/bin/grpc_ruby_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-ruby
	# The following plugins are missing in the protobuf-compiler-grpc package:
	#ln -s /usr/bin/grpc_csharp_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-csharp
	#ln -s /usr/bin/grpc_node_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-js
	#ln -s /usr/bin/grpc_objective_c_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-objc
	dh_auto_build
