=== debian/changelog ===
opentelemetry-proto (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Drop "Rules-Requires-Root: no": it is the default now
  * Apply Multi-Arch: hint
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Switch to pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Jan 2026 19:54:20 +0100

opentelemetry-proto (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Sep 2025 14:02:49 +0100
