=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: opentelemetry-proto
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Freexian Packaging Team <team+freexian@tracker.debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  libgrpc-dev,
  libprotobuf-c-dev,
  protobuf-compiler,
  protobuf-compiler-grpc,
+ pybuild-plugin-pyproject,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://opentelemetry.io/docs/specs/otlp/
 Vcs-Browser: https://salsa.debian.org/science-team/opentelemetry-proto
 Vcs-Git: https://salsa.debian.org/science-team/opentelemetry-proto.git
 
 Package: opentelemetry-proto
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -39,6 +39,7 @@
 
 Package: libopentelemetry-proto-dev
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends:
  ${misc:Depends},
