=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 %:
 	dh $@
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	mkdir -p debian/tmp/bin
 	ln -s /usr/bin/grpc_cpp_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-cpp
 	ln -s /usr/bin/grpc_python_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-python
@@ -21,4 +21,3 @@
 	#ln -s /usr/bin/grpc_csharp_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-csharp
 	#ln -s /usr/bin/grpc_node_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-js
 	#ln -s /usr/bin/grpc_objective_c_plugin $(CURDIR)/debian/tmp/bin/protoc-gen-grpc-objc
-	dh_auto_build
