=== debian/watch ===
Version: 5

Template: GitHub
Owner: open-telemetry
Project: opentelemetry-proto
